% uebung.cls - a document class to design exercise sheets
%
% Copyright 2000 Jochen Voss
%
% This package is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This package is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{uebung}[2000/08/21 v0.2 uebung document class, Jochen Voss]

\input{size10.clo}

% DIN A4 paper
\setlength\paperheight{297mm}
\setlength\paperwidth{210mm}

\setlength\oddsidemargin{3.3cm} \addtolength\oddsidemargin{-1in}
\setlength\evensidemargin{3.3cm} \addtolength\evensidemargin{-1in}
\setlength\textwidth{14.4cm}

\setlength\topmargin{0pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textheight{660pt}

\setlength\parindent{1.5em}
\setlength\parskip{2pt plus2pt minus1pt}
\setlength\rightskip{\z@ plus2em \spaceskip.3333em plus0.5pt}
\setlength\xspaceskip{.5em plus1pt}

\frenchspacing
\raggedbottom

\pagestyle{empty}
\pagenumbering{arabic}

\relpenalty=8000
\binoppenalty=9900

\newskip\structskipamount \structskipamount=1.5ex
\newcommand{\structskip}{\par\ifdim\lastskip<\structskipamount
  \removelastskip\penalty-100\vskip\structskipamount\fi}

\newcount\exn@
\newcount\lemn@
\newcount\satzn@

\newcommand*{\defaultn@me}{\iflanguage{USenglish}{Exercise}{Aufgabe}}
\let\aufgabename=\defaultn@me
\newcommand*{\defaultl@bel}[1]{\textbf{\aufgabename~#1.} }
\newcommand*{\simplel@bel}[1]{#1. }
\newcommand*{\separatel@bel}[1]{\noindent\textbf{Aufgabe~#1.}\\}

\newcommand*{\aufgabestyle}[1]{%
  \@ifundefined{#1l@bel}{\classerror{uebung}{Aufgabestyle #1 undefined}{}}%
    {\def\aufgabelabel{\csname#1l@bel\endcsname}}}
\aufgabestyle{default}

\newenvironment*{aufgabe}[1][\the\exn@]{\exn@=#1\global\advance\exn@ by1
  \structskip\linepenalty=10 \aufgabelabel{#1}\ignorespaces}{\structskip}


\newenvironment*{satz}[1][\the\satzn@]{\satzn@=#1\global\advance\satzn@ by1
  \structskip\linepenalty=10\textbf{Satz~#1.} \ignorespaces}{\structskip}

\newenvironment*{lemma}[1][\the\lemn@]{\lemn@=#1\global\advance\lemn@ by1
  \structskip\linepenalty=10\textbf{Lemma~#1.} \ignorespaces}{\structskip}

\newenvironment*{definition}{\structskip\linepenalty=10
  \textbf{Definition.} \ignorespaces}{\structskip}

\def\qed{\unskip\nobreak\hfil\penalty50\hskip2em\hbox{}\nobreak
  \hfil(q.e.d.)\parfillskip=\z@ \finalhyphendemerits=0 \par}
\newenvironment*{beweis}{\structskip\linepenalty=10Beweis. \ignorespaces}%
  {\qed}

\newenvironment{quote}%
  {\structskip\addtolength\leftskip{3em}\rightskip\leftskip\noindent\ignorespaces}{\structskip}

\newenvironment{jvlist}{\begin{list}{}{%
\setlength{\leftmargin}{2\parindent}
\setlength{\labelsep}{0.5em}
\setlength{\topsep}{0pt}
\setlength{\parsep}{\parskip}
\setlength{\itemsep}{0pt}}}{\end{list}}
